kind: pipeline
type: docker
name: default

platform:
  os: linux
  arch: amd64

steps:
  - name: deployment
    image: alpine
    commands:
    - echo "Setting up internal docker cli"
    - apk update && apk add docker docker-compose
    - echo "Build the container image"
    - docker-compose build
    - echo "Restart the container"
    - docker-compose restart
    when:
      branch:
      - ci-testing

node:
  host: socrates

trigger:
  event:
  - push
